%define	major 3
%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Summary:	A general purpose sound file conversion tool
Name:		sox
Version:	14.4.2
%define subrel	3
Release:	%mkrel 7
License:	LGPLv2+
Group:		Sound/Editors and Converters
URL:		http://sox.sourceforge.net/
Source0:	http://heanet.dl.sourceforge.net/sourceforge/sox/%{name}-%{version}.tar.bz2
Patch1:		sox-14.4.2-do_not_hide_private_symbols.patch
Patch2:		sox-14.4.2-bug_1500570_fix.patch
Patch3:		sox-14.4.2-bug_1500554_fix.patch
Patch11:	debian-0006-CVE-2017-11358.patch
Patch13:	debian-0008-CVE-2017-11332.patch
Patch14:	debian-0009-CVE-2017-11359.patch
Patch15:	debian-0013-CVE-2017-15372.patch
Patch16:	debian-0014-CVE-2017-15642.patch
Patch17:	sox-cve-2017-18189.patch

BuildRequires:	ffmpeg-devel
BuildRequires:	file-devel
BuildRequires:	gsm-devel
BuildRequires:	id3tag-devel
BuildRequires:	ladspa-devel
BuildRequires:	libalsa-devel
BuildRequires:	libflac-devel
BuildRequires:	libltdl-devel
BuildRequires:	libpng-devel
BuildRequires:	libsamplerate-devel
BuildRequires:	libsndfile-devel
BuildRequires:	libtheora-devel
BuildRequires:	libtool
BuildRequires:	libwavpack-devel
BuildRequires:	lpc10-devel
BuildRequires:	mad-devel
BuildRequires:	oggvorbis-devel
BuildRequires:	libgomp-devel
BuildRequires:	lame-devel

%description
SoX (Sound eXchange) is a sound file format converter for Linux,
UNIX and DOS PCs. The self-described 'Swiss Army knife of sound
tools,' SoX can convert between many different digitized sound
formats and perform simple sound manipulation functions,
including sound effects.

Install the sox package if you'd like to convert sound file formats
or manipulate some sounds.


%package -n	%{libname}
Summary:	Libraries for SoX
Group:		System/Libraries
Obsoletes:	%mklibname st 0

%description -n	%{libname}
Libraries for SoX.

%package -n	%{develname}
Summary:	Development headers and libraries for libst
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%mklibname st 0 -d
Obsoletes:	%mklibname st 0 -d

%description -n	%{develname}
Development headers and libraries for SoX.

%prep
%setup -q
%autopatch -p1

%build
autoreconf -fi
export CFLAGS="%{optflags} -DHAVE_SYS_SOUNDCARD_H=1 -D_FILE_OFFSET_BITS=64 -fPIC -DPIC"

%configure2_5x --with-distro="%_vendor" \
	--with-ladspa-path=%{_includedir}
%make

%install
%makeinstall_std

ln -sf play %{buildroot}%{_bindir}/rec

cat << EOF > %{buildroot}%{_bindir}/soxplay
#!/bin/sh

%{_bindir}/sox \$1 -t .au - > /dev/audio

EOF
chmod 755 %{buildroot}%{_bindir}/soxplay

ln -snf play %{buildroot}%{_bindir}/rec
ln -s play.1%{_extension} %{buildroot}%{_mandir}/man1/rec.1%{_extension}

find %{buildroot} -name *.la | xargs rm -f
find %{buildroot} -name *.a | xargs rm -f

%files
%doc ChangeLog README NEWS AUTHORS
%{_bindir}/play
%{_bindir}/rec
%{_bindir}/sox*
%{_mandir}/man1/*
%{_mandir}/man7/*

%files -n %{libname}
%{_libdir}/libsox.so.%{major}*

%files -n %{develname}
%{_includedir}/*.h
%{_libdir}/libsox.so
%{_libdir}/pkgconfig/sox.pc
%{_mandir}/man3/*


%changelog
* Tue Apr 24 2018 zezinho <zezinho> 14.4.2-7.3.mga6
  (not released yet)
+ Revision: 1222181
- add CVE 2017 18189 fix
- security patches from debian mga#22615
+ luigiwalser <luigiwalser>
- add patches from fedora to fix CVE-2017-15370 and CVE-2017-15371

* Sat May 06 2017 zezinho <zezinho> 14.4.2-7.mga6.tainted
+ Revision: 1099255
+ rebuild (emptylog)

* Sat May 06 2017 zezinho <zezinho> 14.4.2-6.mga6.tainted
+ Revision: 1099251
- mp3 patents gone

* Tue May 02 2017 akien <akien> 14.4.2-5.mga6.tainted
+ Revision: 1098320
- Rebuild for ffmpeg 3.3

* Wed Mar 08 2017 akien <akien> 14.4.2-4.mga6
+ Revision: 1090278
- Rebuild for ffmpeg 3.2.4

* Wed Feb 17 2016 umeabot <umeabot> 14.4.2-3.mga6.tainted
+ Revision: 962883
- Mageia 6 Mass Rebuild

* Mon Sep 14 2015 zezinho <zezinho> 14.4.2-2.mga6.tainted
+ Revision: 879267
+ rebuild (emptylog)

* Mon Sep 14 2015 zezinho <zezinho> 14.4.2-2.mga6
+ Revision: 879258
- make plf build for tainted
- patch to export new private symbols #16743

* Mon Sep 07 2015 zezinho <zezinho> 14.4.2-1.mga6
+ Revision: 873978
- new version 14.4.2

* Mon Dec 22 2014 luigiwalser <luigiwalser> 14.4.1-6.mga5
+ Revision: 804921
- add upstream changes to fix CVE-2014-8145

* Wed Oct 15 2014 umeabot <umeabot> 14.4.1-5.mga5
+ Revision: 744632
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 14.4.1-4.mga5
+ Revision: 689259
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 14.4.1-3.mga4
+ Revision: 525846
- Mageia 4 Mass Rebuild

* Sun Jun 02 2013 fwang <fwang> 14.4.1-2.mga4
+ Revision: 434678
- rebuild for new libpng

* Tue Feb 12 2013 luigiwalser <luigiwalser> 14.4.1-1.mga3
+ Revision: 398166
- 14.4.1
- remove upstreamed automake 1.13 patch

* Mon Jan 14 2013 umeabot <umeabot> 14.4.0-4.mga3
+ Revision: 382398
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 06 2013 cjw <cjw> 14.4.0-3.mga3
+ Revision: 339774
- patch1: fix build with automake 1.13

* Tue Nov 27 2012 zezinho <zezinho> 14.4.0-2.mga3
+ Revision: 322460
- fix rpm group

* Sun Jul 29 2012 luigiwalser <luigiwalser> 14.4.0-1.mga3
+ Revision: 275815
- fix library major
- remove no longer needed patch
+ fwang <fwang>
- new version 14.4.0
- fix build with latest ffmpeg

* Tue May 29 2012 fwang <fwang> 14.3.2-4.mga3
+ Revision: 248998
- rebuild for new ffmpeg

* Sat Sep 10 2011 fwang <fwang> 14.3.2-3.mga2
+ Revision: 142126
- rebuild for new libpng

* Fri Jun 24 2011 fwang <fwang> 14.3.2-2.mga2
+ Revision: 113136
- fix build with ffmpeg 0.8
- rebuild for new ffmpeg

* Thu Apr 14 2011 tv <tv> 14.3.2-1.mga1
+ Revision: 85171
- new release

* Thu Jan 20 2011 ahmad <ahmad> 14.3.0-3.mga1
+ Revision: 26033
- drop old/unneeded scriptlets
- don't ship .la or .a
- imported package sox


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 14.3.0-2mdv2011.0
+ Revision: 607553
- rebuild

* Wed Jul 29 2009 Emmanuel Andry <eandry@mandriva.org> 14.3.0-1mdv2010.0
+ Revision: 404112
- New version 14.3.0
- drop p1 (merged upstream)
- BR libgomp-devel
- disable now unneeded autoreconf
- update files list

  + Götz Waschk <waschk@mandriva.org>
    - remove build workaround

* Wed Jan 28 2009 Götz Waschk <waschk@mandriva.org> 14.2.0-4mdv2009.1
+ Revision: 334818
- use the right libltdl
- rebuild for new libltdl

  + Funda Wang <fwang@mandriva.org>
    - rebuild for new libtool

* Wed Jan 21 2009 Oden Eriksson <oeriksson@mandriva.com> 14.2.0-2mdv2009.1
+ Revision: 332215
- fix build deps
- fix build with -Werror=format-security (P0)

* Mon Nov 17 2008 Funda Wang <fwang@mandriva.org> 14.2.0-1mdv2009.1
+ Revision: 303879
- New version 14.2.0
- drop patches merged upstream

* Mon Oct 13 2008 Götz Waschk <waschk@mandriva.org> 14.1.0-2mdv2009.1
+ Revision: 293118
- build with new ffmpeg

* Tue Aug 05 2008 Oden Eriksson <oeriksson@mandriva.com> 14.1.0-1mdv2009.0
+ Revision: 263848
- 14.1.0
- dropped the ffmpeg_fix patch, it's in there
- link against the external LPC10 library (P0)

* Wed Jul 09 2008 Oden Eriksson <oeriksson@mandriva.com> 14.0.1-3mdv2009.0
+ Revision: 232956
- added P0 to make it find ffmpeg headers

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Thu Feb 21 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 14.0.1-1mdv2008.1
+ Revision: 173745
- new version

* Thu Jan 31 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 14.0.0-1mdv2008.1
+ Revision: 160825
- new version
- drop all flac patches
- drop old library name as there is a new one
- add lot of missing buildrequires
- compile with support for:
  o ALSA
  o Samplerate
  o LADSPA
- spec file clean
- fix file list

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Tue Mar 06 2007 Per Øyvind Karlsen <pkarlsen@mandriva.com> 13.0.0-6mdv2007.0
+ Revision: 133639
- obsolete sox-devel (fixes #29197)

* Sun Feb 18 2007 Per Øyvind Karlsen <pkarlsen@mandriva.com> 13.0.0-5mdv2007.1
+ Revision: 122478
- use flac patches from cvs (P2), obsoletes P0 & P1

* Fri Feb 16 2007 Per Øyvind Karlsen <pkarlsen@mandriva.com> 13.0.0-4mdv2007.1
+ Revision: 122017
- flac decoding seems broken, might be due to my flac patch, work around
  for now (P1)
- remove commented out code that was forgotten..

* Fri Feb 16 2007 Per Øyvind Karlsen <pkarlsen@mandriva.com> 13.0.0-3mdv2007.1
+ Revision: 121588
- fix build with new flac version (P0)
- drop useless dependencies
- fix libification
- revert some changes

* Tue Feb 13 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 13.0.0-2mdv2007.1
+ Revision: 120267
- add missing requires and provides
- move libst-config to the right place

* Tue Feb 13 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 13.0.0-1mdv2007.1
+ Revision: 120262
- new version
- fix buildrequires
- move libraries to its own package
- set %%multiarch on libst-config
- spec file clean

* Mon Dec 18 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 12.18.2-2mdv2007.1
+ Revision: 98466
- sync deps of sox-devel with the output of libst-config --libs

* Sun Dec 03 2006 Emmanuel Andry <eandry@mandriva.org> 12.18.2-1mdv2007.1
+ Revision: 90204
- New version 12.18.2
  drop patch0

* Sun Oct 29 2006 Anssi Hannula <anssi@mandriva.org> 12.18.1-3mdv2007.1
+ Revision: 73607
- fix configure parameters
- Import sox

* Wed Sep 13 2006 Giuseppe Ghibò <ghibo@mandriva.com> 12.18.1-2mdv2007.0
- Force -fPIC -DPIC in CFLAGS for X86-64 linkage.

* Tue May 09 2006 Olivier Thauvin <nanardon@mandriva.org> 12.18.1-1mdk
- 12.18.1

* Mon Dec 12 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 12.17.9-1mdk
- New release 12.17.9
- drop P0 (fixed upstream)

* Wed Aug 24 2005 Oden Eriksson <oeriksson@mandriva.com> 12.17.8-1mdk
- 12.17.8 (Minor bugfixes)

* Wed Dec 22 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 12.17.7-1mdk
- 12.17.7

* Sun Nov 21 2004 Michael Scherer <misc@mandrake.org> 12.17.6-2mdk
- Add plf build

* Wed Nov 10 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 12.17.6-1mdk
- 12.17.6
- merge Oden's changes which went to the wrong place:
	o drop P1, the CAN-2004-0557 fix is included
	o reorder patches, rediffed P0, P1
	o added the scripts
	o use system gsm lib (P2)

* Mon Nov 08 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 12.17.4-5mdk
- fix license
- cosmetics

* Sat Oct 09 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 12.17.4-4mdk
- Patch1: security fix for CAN-2004-0557

* Thu Aug 26 2004 Götz Waschk <waschk@linux-mandrake.com> 12.17.4-3mdk
- fix docs list
- patch to fix alsa build

